import request from '@/utils/request';

// 查询团干部材料
export function listCaderMeetingMaterials(query) {
  return request({
    url: '/teacher/caderMeetingMaterials/getByFdyNameAndYearAndMonth',
    method: 'get',
    params: query,
	headers: {
		Authorization: "Bearer " + uni.getStorageSync("App-Token"),
	}
  })
}
// 查询团干部材料详细
export function getCaderMeetingMaterials(id) {
  return request({
    url: '/teacher/caderMeetingMaterials/' + id,
    method: 'get'
  })
}
// 新增团干部材料
export function addCaderMeetingMaterials(data) {
	return request({
		url: '/teacher/caderMeetingMaterials/add',
		method: 'post',
		data: data
	})
}


// 修改团干部材料
export function updateCaderMeetingMaterials(data) {
  return request({
    url: '/teacher/caderMeetingMaterials/update',
    method: 'post',
    data: data
  })
}

// 删除团干部材料
export function delCaderMeetingMaterials(id) {
  return request({
    url: '/teacher/caderMeetingMaterials/'+id,
    method: 'post',
  })
}


